Bulletin d'alerte Debian

DSA-1174-1 openssl096 -- Faiblesse de chiffrement

Date du rapport :
11 septembre 2006
Paquets concernés :
openssl096
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 386247.
Dans la base de données de suivi des bogues (chez SecurityFocus) : Identifiant BugTraq 19849.
Dans le dictionnaire CVE du Mitre : CVE-2006-4339.
Plus de précisions :

Daniel Bleichenbacher a découvert un défaut dans le paquet de chiffrement OpenSSL, cela peut permettre à un attaquant de générer une signature falsifiée qu'OpenSSL accepte comme valable.

Pour la distribution stable (Sarge), ce problème a été corrigé dans la version 0.9.6m-1sarge2.

Ce paquet n'existe que pour la compatibilité avec des logiciels plus anciens et n'est pas présent dans les distributions de test ni instable de Debian.

Nous vous recommandons de mettre à jour vos paquets openssl. Veuillez noter que les services liés aux bibliothèques partagées openssl devront être redémarrés. Ces services comprennent par exemple la plupart des agents de transport de courriels, les serveurs SSH et les serveurs web.

Corrigé dans :

Debian GNU/Linux 3.1 (sarge)

Source :
http://security.debian.org/pool/updates/main/o/openssl096/openssl096_0.9.6m-1sarge2.dsc
http://security.debian.org/pool/updates/main/o/openssl096/openssl096_0.9.6m-1sarge2.diff.gz
http://security.debian.org/pool/updates/main/o/openssl096/openssl096_0.9.6m.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_alpha.deb
AMD64:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_amd64.deb
ARM:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_arm.deb
HPPA:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_hppa.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_ia64.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/o/openssl096/libssl0.9.6_0.9.6m-1sarge2_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.